fasttext::Args Class Reference

`#include <args.h>`

## Public Member Functions

| Args ()
void | parseArgs (int, char **)
void | printHelp ()
void | printBasicHelp ()
void | printDictionaryHelp ()
void | printTrainingHelp ()
void | printQuantizationHelp ()
void | save (std::ostream &)
void | load (std::istream &)

## Public Attributes

std::string | input
std::string | test
std::string | output
double | lr
int | lrUpdateRate
int | dim
int | ws
int | epoch
int | minCount
int | minCountLabel
int | neg
int | wordNgrams
loss_name | loss
model_name | model
int | bucket
int | minn
int | maxn
int | thread
double | t
std::string | label
int | verbose
std::string | pretrainedVectors
int | saveOutput
bool | qout
bool | retrain
bool | qnorm
size_t | cutoff
size_t | dsub

## Constructor & Destructor Documentation

## Args()

fasttext::Args::Args | ( |  | ) |

## Member Function Documentation

## load()

void fasttext::Args::load | ( | std::istream & | in | ) |

## parseArgs()

void fasttext::Args::parseArgs | ( | int | argc,
|  | char ** | argv
| ) |  |

## printBasicHelp()

void fasttext::Args::printBasicHelp | ( |  | ) |

## printDictionaryHelp()

void fasttext::Args::printDictionaryHelp | ( |  | ) |

## printHelp()

void fasttext::Args::printHelp | ( |  | ) |

## printQuantizationHelp()

void fasttext::Args::printQuantizationHelp | ( |  | ) |

## printTrainingHelp()

void fasttext::Args::printTrainingHelp | ( |  | ) |

## save()

void fasttext::Args::save | ( | std::ostream & | out | ) |

## Member Data Documentation

## bucket

int fasttext::Args::bucket

## cutoff

size_t fasttext::Args::cutoff

## dim

int fasttext::Args::dim

## dsub

size_t fasttext::Args::dsub

## epoch

int fasttext::Args::epoch

## input

std::string fasttext::Args::input

## label

std::string fasttext::Args::label

## loss

loss_name fasttext::Args::loss

## lr

double fasttext::Args::lr

## lrUpdateRate

int fasttext::Args::lrUpdateRate

## maxn

int fasttext::Args::maxn

## minCount

int fasttext::Args::minCount

## minCountLabel

int fasttext::Args::minCountLabel

## minn

int fasttext::Args::minn

## model

model_name fasttext::Args::model

## neg

int fasttext::Args::neg

## output

std::string fasttext::Args::output

## pretrainedVectors

std::string fasttext::Args::pretrainedVectors

## qnorm

bool fasttext::Args::qnorm

## qout

bool fasttext::Args::qout

## retrain

bool fasttext::Args::retrain

## saveOutput

int fasttext::Args::saveOutput

## t

double fasttext::Args::t

## test

std::string fasttext::Args::test

## thread

int fasttext::Args::thread

## verbose

int fasttext::Args::verbose

## wordNgrams

int fasttext::Args::wordNgrams

## ws

int fasttext::Args::ws

The documentation for this class was generated from the following files:

- /data/users/cpuhrsch/fbsource/fbcode/deeplearning/fastText/src/args.h
- /data/users/cpuhrsch/fbsource/fbcode/deeplearning/fastText/src/args.cc